Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface PageInstanceControl

    public interface PageInstanceControl

A custom control interface used to interact with PageInstances.

Method Summary
`void` | `addPlaceableToPageInstance(com.bea.netuix.application.identifier.PlaceableDefinitionId placeableId, int placeholder, int position, com.bea.netuix.application.identifier.PageInstanceId id, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Adds a book or portlet definition to a page instance.
`com.bea.netuix.application.instance.PageInstance` | `getPageInstance(com.bea.netuix.application.identifier.PageInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Gets a PageInstance object
`com.bea.netuix.application.view.PageView` | `getPageView(com.bea.netuix.application.identifier.PageInstanceId id, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Gets a deep immutable view of a page instance.
`boolean` | `isPlaceholderLocked(int placeholder, com.bea.netuix.application.identifier.PageInstanceId pageId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Returns true if the placeholder has an update security policy on it.
`void` | `movePlaceable(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId, int placeholder, int position, com.bea.netuix.application.identifier.PageInstanceId fromPageInstanceId, com.bea.netuix.application.identifier.PageInstanceId toPageInstanceId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Moves a book or portlet to another page instance.
`void` | `movePlaceableInPageInstance(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId, int placeholder, int position, com.bea.netuix.application.identifier.PageInstanceId id, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Moves a book or portlet to another placeholder in the same page instance.
`void` | `removePlaceableFromPageInstance(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Removes a portlet or book from a page instance.
`void` | `removePlaceholderLock(int placeholder, com.bea.netuix.application.identifier.PageInstanceId pageId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Removes the update security policy on a placeholder.
`com.bea.netuix.application.identifier.PageInstanceId` | `rename(String newTitle, com.bea.netuix.application.identifier.PageInstanceId id, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Rename the title of the page.
`void` | `setPlaceholderLock(int placeholder, com.bea.netuix.application.identifier.PageInstanceId pageId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Creates an update secuity policy on a placholder.
`com.bea.netuix.application.identifier.PageInstanceId` | `updatePageInstanceLayout(com.bea.netuix.application.identifier.LayoutDefinitionId layoutId, com.bea.netuix.application.identifier.PageInstanceId id, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Updates the page instance layout.
`com.bea.netuix.application.identifier.PageInstanceId` | `updatePageInstanceTheme(com.bea.netuix.application.identifier.ThemeDefinitionId themeId, com.bea.netuix.application.identifier.PageInstanceId id, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Updates the page instance theme.

Method Detail

### getPageView

    com.bea.netuix.application.view.PageView getPageView(com.bea.netuix.application.identifier.PageInstanceId id,
                                                         String webApp,
                                                         com.bea.netuix.application.identifier.PortalPath portalPath,
                                                         com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                         com.bea.portal.tools.common.ResourceContext context)
                                                         throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a deep immutable view of a page instance.

  Parameters
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    a PageView object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getPageInstance

    com.bea.netuix.application.instance.PageInstance getPageInstance(com.bea.netuix.application.identifier.PageInstanceId id,
                                                                     com.bea.portal.tools.common.ResourceContext context)
                                                                     throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a PageInstance object

  Parameters
    `id` - the page instance ID
    `context` - the resource context
  Returns
    A PageInstance object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### updatePageInstanceLayout

    com.bea.netuix.application.identifier.PageInstanceId updatePageInstanceLayout(com.bea.netuix.application.identifier.LayoutDefinitionId layoutId,
                                                                                  com.bea.netuix.application.identifier.PageInstanceId id,
                                                                                  String webApp,
                                                                                  com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                  com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                  com.bea.portal.tools.common.ResourceContext context)
                                                                                  throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                         com.bea.netuix.application.exception.NotEntitledException,
                                                                                         com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the page instance layout.

  Parameters
    `layoutId` - The id of the layout.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    The new id assigned to the page instance.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updatePageInstanceTheme

    com.bea.netuix.application.identifier.PageInstanceId updatePageInstanceTheme(com.bea.netuix.application.identifier.ThemeDefinitionId themeId,
                                                                                 com.bea.netuix.application.identifier.PageInstanceId id,
                                                                                 String webApp,
                                                                                 com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                 com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                 com.bea.portal.tools.common.ResourceContext context)
                                                                                 throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                        com.bea.netuix.application.exception.NotEntitledException,
                                                                                        com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the page instance theme.

  Parameters
    `themeId` - The id of the theme.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    The new id assigned to the page instance.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### addPlaceableToPageInstance

    void addPlaceableToPageInstance(com.bea.netuix.application.identifier.PlaceableDefinitionId placeableId,
                                    int placeholder,
                                    int position,
                                    com.bea.netuix.application.identifier.PageInstanceId id,
                                    String webApp,
                                    com.bea.netuix.application.identifier.PortalPath portalPath,
                                    com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                    com.bea.portal.tools.common.ResourceContext context)
                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                           com.bea.netuix.application.exception.IllegalDependencyException,
                                           com.bea.netuix.application.exception.NotEntitledException,
                                           com.bea.netuix.application.exception.MissingDataException,
                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Adds a book or portlet definition to a page instance.

  Parameters
    `placeableId` - The id of the book or portlet definition to add.
    `placeholder` - The placeholder to use.
    `position` - The placeable position.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.IllegalDependencyException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### movePlaceableInPageInstance

    void movePlaceableInPageInstance(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId,
                                     int placeholder,
                                     int position,
                                     com.bea.netuix.application.identifier.PageInstanceId id,
                                     String webApp,
                                     com.bea.netuix.application.identifier.PortalPath portalPath,
                                     com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                     com.bea.portal.tools.common.ResourceContext context)
                                     throws com.bea.portal.tools.common.exceptions.ToolsException,
                                            com.bea.netuix.application.exception.IllegalDependencyException,
                                            com.bea.netuix.application.exception.NotEntitledException,
                                            com.bea.netuix.application.exception.ObjectNotFoundException

  Moves a book or portlet to another placeholder in the same page instance.

  Parameters
    `placeableId` - The id of the book or portlet instance to move.
    `placeholder` - The placeholder to use.
    `position` - The placeable position.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.IllegalDependencyException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### movePlaceable

    void movePlaceable(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId,
                       int placeholder,
                       int position,
                       com.bea.netuix.application.identifier.PageInstanceId fromPageInstanceId,
                       com.bea.netuix.application.identifier.PageInstanceId toPageInstanceId,
                       String webApp,
                       com.bea.netuix.application.identifier.PortalPath portalPath,
                       com.bea.netuix.application.identifier.DesktopPath desktopPath,
                       com.bea.portal.tools.common.ResourceContext context)
                       throws com.bea.portal.tools.common.exceptions.ToolsException,
                              com.bea.netuix.application.exception.IllegalDependencyException,
                              com.bea.netuix.application.exception.NotEntitledException,
                              com.bea.netuix.application.exception.ObjectNotFoundException

  Moves a book or portlet to another page instance.

  Parameters
    `placeableId` - The id of the book or portlet instance to move.
    `placeholder` - The placeholder to use.
    `position` - The placeable position.
    `fromPageInstanceId` - the page instance ID to move from
    `toPageInstanceId` - the page instance ID to move to
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.IllegalDependencyException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### rename

    com.bea.netuix.application.identifier.PageInstanceId rename(String newTitle,
                                                                com.bea.netuix.application.identifier.PageInstanceId id,
                                                                String webApp,
                                                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                com.bea.portal.tools.common.ResourceContext context)
                                                                throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                       com.bea.netuix.application.exception.NotEntitledException,
                                                                       com.bea.netuix.application.exception.ObjectNotFoundException,
                                                                       com.bea.netuix.application.exception.MissingDataException

  Rename the title of the page.

  Parameters
    `newTitle` - the new title for the page
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    the new page instance id
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.exception.MissingDataException`

### removePlaceableFromPageInstance

    void removePlaceableFromPageInstance(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId,
                                         String webApp,
                                         com.bea.netuix.application.identifier.PortalPath portalPath,
                                         com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                         com.bea.portal.tools.common.ResourceContext context)
                                         throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                com.bea.netuix.application.exception.NotEntitledException,
                                                com.bea.netuix.application.exception.MissingDataException,
                                                com.bea.netuix.application.exception.ObjectNotFoundException

  Removes a portlet or book from a page instance.

  Parameters
    `placeableId` - The id of the book or portlet instance to remove.
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### isPlaceholderLocked

    boolean isPlaceholderLocked(int placeholder,
                                com.bea.netuix.application.identifier.PageInstanceId pageId,
                                String webApp,
                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                com.bea.portal.tools.common.ResourceContext context)
                                throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns true if the placeholder has an update security policy on it.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    true if the placholder has an update security policy set.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### setPlaceholderLock

    void setPlaceholderLock(int placeholder,
                            com.bea.netuix.application.identifier.PageInstanceId pageId,
                            String webApp,
                            com.bea.netuix.application.identifier.PortalPath portalPath,
                            com.bea.netuix.application.identifier.DesktopPath desktopPath,
                            com.bea.portal.tools.common.ResourceContext context)
                            throws com.bea.portal.tools.common.exceptions.ToolsException,
                                   com.bea.p13n.entitlements.common.PolicyCreateException,
                                   com.bea.p13n.entitlements.common.PolicyExistsException

  Creates an update secuity policy on a placholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`
    `com.bea.p13n.entitlements.common.PolicyExistsException`

### removePlaceholderLock

    void removePlaceholderLock(int placeholder,
                               com.bea.netuix.application.identifier.PageInstanceId pageId,
                               String webApp,
                               com.bea.netuix.application.identifier.PortalPath portalPath,
                               com.bea.netuix.application.identifier.DesktopPath desktopPath,
                               com.bea.portal.tools.common.ResourceContext context)
                               throws com.bea.portal.tools.common.exceptions.ToolsException,
                                      com.bea.p13n.entitlements.common.PolicyRemoveException,
                                      com.bea.p13n.entitlements.common.PolicyNotFoundException

  Removes the update security policy on a placeholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.p13n.entitlements.common.PolicyRemoveException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved